#!/bin/bash

# summing up columns 2 and 3, combined
in=data.csv
out=data_plot.csv

cat $in | awk 'BEGIN{
    FS=",";
    print("date-time,registered users");
}{
    if (NR>1) {
        # shuffle date and time manually such that it fits the standard,
        # in order to allow multiple plots together with other data sources
        datetime=substr($1,7,4) "-"  substr($1,4,2) "-" substr($1,0,2)

        # print actual cumulated data
        printf("%s,%g\n",datetime,a);
        a+=$2;
    }
}' > $out
